package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;

/**
 * @author higa
 *  
 */
public class InsertBatchAutoHandler extends AbstractBatchAutoHandler {

	public InsertBatchAutoHandler(DataSource dataSource, BeanMetaData beanMetaData) {
		super(dataSource, beanMetaData);
	}

	protected void setupSql() {
		setSql(getBeanMetaData().getAutoInsertSql());
	}

	protected Object[] getBindVariables(Object bean) {
		return getBeanMetaData().getAutoInsertBindVariables(bean);
	}
}